{"id":26905,"date":"2021-02-19T09:36:57","date_gmt":"2021-02-19T09:36:57","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=26905"},"modified":"2022-12-02T09:01:27","modified_gmt":"2022-12-02T09:01:27","slug":"import-batch-test-suite-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/import-batch-test-suite-api\/","title":{"rendered":"Import Batch Test Suite API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To import the test cases from a given Test Suite file.<\/p>\n<p>&nbsp;<\/p>\n<table>\n<tbody>\n<tr>\n<td><b>Method<\/b><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><b>Endpoint<\/b><\/td>\n<td><span style=\"font-weight: 400\"><code>https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite\/import<\/code<\/span><\/td>\n<\/tr>\n<tr>\n<td><b>Content Type<\/b><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><b>Authorization<\/b><\/td>\n<td>\n<p><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" rel=\"noopener noreferrer\" target=\"_blank\">How to generate the JWT Token<\/a>.<\/td>\n<\/tr>\n<tr>\n<td><b>API Scope<\/b><\/td>\n<td>\n<ul>\n<li>Bot Builder: Batch Tests Management<\/li>\n<li>Admin Console: Batch Tests Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400\"><b>host<\/b><\/span><\/td>\n<td>The environment URL. For example, <code>https:\/\/bots.kore.ai<\/code><\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\"><b>BotID<\/b><\/span><\/td>\n<td>The <i>Bot ID<\/i> or <i>Stream ID<\/i> that can be accessed under <b>General Settings<\/b> on the Bot Builder.<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre> curl --location --request POST \\\r\n     'https:\/\/{host}\/api\/public\/stream\/{streamId}\/testsuite\/import' \\\r\n      --header 'auth: {jwt-code}' \\\r\n      --header 'bot-language: {language-code}' \\\r\n      --header 'Content-Type: application\/json' \\\r\n      --data-raw '{\r\n         \"delimiter\": \",\",\r\n         \"description\": \"fcgfddfg\",\r\n         \"fileName\": \"5ff70b47a664d31999d9202c\",\r\n         \"fileType\": \"json\",\r\n         \"importType\": \"update\",\r\n         \"name\": \"hgf\"\r\n}'\r\n<\/pre>\n<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<th>Mandate<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>fileName<\/td>\n<td>File containing the Batch Test suite details.<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td>fileType<\/td>\n<td>JSON.<\/td>\n<\/tr>\n<tr>\n<td>importType<\/td>\n<td>new\/update<\/td>\n<\/tr>\n<tr>\n<td>delimiter<\/td>\n<td>Field delimiter in the file<\/td>\n<td>Required<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400\">description<\/span><\/td>\n<td>Test suite description<\/td>\n<td>Required<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<p>&nbsp;<\/p>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{\r\n    \"_id\": \"ts-8304802f-6f85-5f67-8964-de04446c1c93\",\r\n    \"name\": \"hgf\",\r\n    \"description\": \"fcgfddfg\",\r\n    \"streamId\": \"st-15864388-c33d-5caf-86a6-d17951ff3d5b\",\r\n    \"language\": \"en\",\r\n    \"fileId\": \"5ff70b47a664d31999d9202c\",\r\n    \"createdBy\": \"u-49bd0ecd-18d1-53e1-988d-84d3004d79ea\",\r\n    \"createdOn\": \"2021-01-05T17:43:43.927Z\",\r\n    \"modifiedOn\": \"2021-01-07T13:48:14.169Z\",\r\n    \"__v\": 0,\r\n    \"fileName\": \"sampleBatchtesting (2) (copy) (1).json\"\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To import the test cases from a given Test Suite file. &nbsp; Method POST Endpoint https:\/\/{host}\/api\/public\/bot\/{botId}\/testsuite\/import","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-26905","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26905","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=26905"}],"version-history":[{"count":6,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26905\/revisions"}],"predecessor-version":[{"id":49534,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/26905\/revisions\/49534"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=26905"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=26905"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=26905"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}